/**
 *
 * $Id: VkMenuSeparator.h,v 1.3 1995/04/20 05:32:07 toshok Exp $
 *
 * This file contains the class definition of the VkMenuSeparator
 * class, which is implemented simply as separator gadgets in the
 * application's interface.
 *
 * Chris Toshok
 * Copyright (C) 1995
 * The Hungry Programmers, Inc
 * All Rights Reserved
 * 
 **/

#ifndef VKMENUSEPARATOR
#define VKMENUSEPARATOR

#include <Xm/SeparatoG.h>
#include <Vk/VkConfig.h>
#include <Vk/VkMenuLabel.h>

class VkMenuSeparator : public VkMenuLabel {
public:
  VkMenuSeparator(char *name = "separator");

  Boolean isContainer();
  VkMenuItemType menuType();

  const char *className();
  void _instantiate(Widget parent);
};


#endif // VKMENUSEPARATOR

